ViennaCL - The Vienna Computing Library: viennacl::tools::detail::auximpl< U, Deleter > Struct Template Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
viennacl::tools::detail::auximpl< U, Deleter > Struct Template Reference

Implementation helper for the reference counting mechanism inside shared_ptr. More...

`#include <shared_ptr.hpp>`

Inheritance diagram for viennacl::tools::detail::auximpl< U, Deleter >:

## Public Member Functions
| auximpl (U *pu, Deleter x)
virtual void | destroy ()
Public Member Functions inherited from viennacl::tools::detail::aux
| aux ()
virtual | ~aux ()

## Public Attributes
U * | p
Deleter | d
Public Attributes inherited from viennacl::tools::detail::aux
detail::count | count

## Detailed Description

### template<class U, class Deleter>
struct viennacl::tools::detail::auximpl< U, Deleter >

Implementation helper for the reference counting mechanism inside shared_ptr.

Definition at line 63 of file shared_ptr.hpp.

## Constructor & Destructor Documentation

template<class U , class Deleter >

viennacl::tools::detail::auximpl< U, Deleter >::auximpl | ( | U * | pu,
|  | Deleter | x
| ) |  |
| inline

Definition at line 68 of file shared_ptr.hpp.

## Member Function Documentation

template<class U , class Deleter >

virtual void viennacl::tools::detail::auximpl< U, Deleter >::destroy | ( |  | ) |
| inlinevirtual

Implements viennacl::tools::detail::aux.

Definition at line 69 of file shared_ptr.hpp.

## Member Data Documentation

template<class U , class Deleter >

Deleter viennacl::tools::detail::auximpl< U, Deleter >::d

Definition at line 66 of file shared_ptr.hpp.

template<class U , class Deleter >

U* viennacl::tools::detail::auximpl< U, Deleter >::p

Definition at line 65 of file shared_ptr.hpp.

The documentation for this struct was generated from the following file:

- viennacl/tools/shared_ptr.hpp